### Method

# Vips Image get_mode

#### Declaration [src]

    const char*
    vips_image_get_mode (
      const VipsImage* image
    )

#### Description [src]

Image modes are things like `"t"`, meaning a memory buffer, and `"p"` meaning a delayed computation.

Gets property | `Vips.Image:mode`

#### Return value

Type: `const char*`

The image mode.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.